Bug 301832 - Digicam crashes a while after starting face detection scan
Summary: Digicam crashes a while after starting face detection scan
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Detection (show other bugs)
Version: 2.8.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-13 18:36 UTC by Warren Werner
Modified: 2019-12-23 06:22 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.0.0


Attachments
New crash information added by DrKonqi (37.96 KB, text/plain)
2013-01-02 15:33 UTC, Bartje
Details
New crash information added by DrKonqi (54.79 KB, text/plain)
2013-02-20 15:16 UTC, Marc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Warren Werner 2012-06-13 18:36:28 UTC
Application: digikam (2.5.0)
KDE Platform Version: 4.8.3 (4.8.3)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-24-generic i686
Distribution: Ubuntu 12.04 LTS

-- Information about the crash:
- What I was doing when the application crashed:
Start digicam. 
Start face detection scanning
go away from keyboard
return after an hour
Digicam has crashed. 

It crashes everytime I try, but always after some time. First it scans hundrets of pictures.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xb51f88c0 (LWP 4427))]

Thread 10 (Thread 0xb3c16b40 (LWP 4428)):
#0  0x00edfc70 in __pthread_mutex_unlock_usercnt () from /lib/i386-linux-gnu/libpthread.so.0
#1  0x01c8c634 in pthread_mutex_unlock () from /lib/i386-linux-gnu/libc.so.6
#2  0x02fb43d0 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x02f748ed in g_main_context_query () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x02f74fce in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0x02f7552b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0x05149134 in ?? () from /usr/lib/i386-linux-gnu/gio/modules/libdconfsettings.so
#7  0x02f98673 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0x00edcd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#9  0x01c7eace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 9 (Thread 0xb31ffb40 (LWP 4429)):
#0  0x01c8c810 in ?? () from /lib/i386-linux-gnu/libc.so.6
#1  0x01c70392 in poll () from /lib/i386-linux-gnu/libc.so.6
#2  0x02f82a3b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x02f7506e in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x02f7552b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0x03a100ea in ?? () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
#6  0x02f98673 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0x00edcd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#8  0x01c7eace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 8 (Thread 0xb15c3b40 (LWP 4431)):
#0  0x00b28416 in __kernel_vsyscall ()
#1  0x00ee096b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x01c8c3dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x0183a350 in wait (time=4294967295, this=0x929ed70) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0x929ecdc, mutex=0x929ecd8, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x0820346e in Digikam::ScanController::run (this=0x9212bf8) at /build/buildd/digikam-2.5.0/core/digikam/database/scancontroller.cpp:647
#6  0x01839de0 in QThreadPrivate::start (arg=0x9212bf8) at thread/qthread_unix.cpp:298
#7  0x00edcd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#8  0x01c7eace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 7 (Thread 0xb0dc2b40 (LWP 4432)):
#0  0x02f74a6e in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0x02f75002 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0x02f751c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x019818e7 in QEventDispatcherGlib::processEvents (this=0xb3204d08, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x0194d50d in QEventLoop::processEvents (this=0xb0dc20c0, flags=...) at kernel/qeventloop.cpp:149
#5  0x0194d7a9 in QEventLoop::exec (this=0xb0dc20c0, flags=...) at kernel/qeventloop.cpp:204
#6  0x0183694c in QThread::exec (this=0x929f5f8) at thread/qthread.cpp:501
#7  0x0192ab5d in QInotifyFileSystemWatcherEngine::run (this=0x929f5f8) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x01839de0 in QThreadPrivate::start (arg=0x929f5f8) at thread/qthread_unix.cpp:298
#9  0x00edcd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#10 0x01c7eace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 6 (Thread 0xb05c1b40 (LWP 4434)):
#0  0x00b28416 in __kernel_vsyscall ()
#1  0x00ee096b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i386-linux-gnu/libpthread.so.0
#2  0x01c8c3dc in pthread_cond_wait () from /lib/i386-linux-gnu/libc.so.6
#3  0x0183a350 in wait (time=4294967295, this=0x9478870) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0x94786b0, mutex=0x94786ac, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x012e9b2c in Digikam::ParkingThread::run (this=0x94786a0) at /build/buildd/digikam-2.5.0/core/libs/threads/threadmanager.cpp:119
#6  0x01839de0 in QThreadPrivate::start (arg=0x94786a0) at thread/qthread_unix.cpp:298
#7  0x00edcd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#8  0x01c7eace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 5 (Thread 0xaad0fb40 (LWP 4466)):
#0  0x01c0f67a in ?? () from /lib/i386-linux-gnu/libc.so.6
#1  0x01bbf773 in ?? () from /lib/i386-linux-gnu/libc.so.6
#2  0x01bbd42c in ?? () from /lib/i386-linux-gnu/libc.so.6
#3  0x01bbcdaa in ?? () from /lib/i386-linux-gnu/libc.so.6
#4  0x01bbbc63 in dcgettext () from /lib/i386-linux-gnu/libc.so.6
#5  0x07e5c4db in dcpgettext_expr (domain=0xcc73c68 "kio4", msgctxt=<optimized out>, msgid=0x64bec0e "Unable to fetch row", category=5) at ../../kdecore/localization/gettext.h:208
#6  0x07e5dd56 in KCatalog::translateStrict (this=0xcc72ba8, msgctxt=0x64beb51 "QSQLiteResult", msgid=0x64bec0e "Unable to fetch row") at ../../kdecore/localization/kcatalog.cpp:263
#7  0x07e762df in KLocalePrivate::translateRawFrom (this=0x924c1c0, catname=0x0, msgctxt=0x64beb51 "QSQLiteResult", msgid=0x64bec0e "Unable to fetch row", msgid_plural=0x0, n=0, language=0xaad0dfb4, translation=0xaad0dfb0) at ../../kdecore/localization/klocale_kde.cpp:957
#8  0x07e7268b in KLocalePrivate::translateQt (this=0x924c1c0, context=0x64beb51 "QSQLiteResult", sourceText=0x64bec0e "Unable to fetch row", comment=0x0) at ../../kdecore/localization/klocale_kde.cpp:1022
#9  0x07e6b323 in KLocale::translateQt (this=0x9252b18, context=0x64beb51 "QSQLiteResult", sourceText=0x64bec0e "Unable to fetch row", comment=0x0) at ../../kdecore/localization/klocale.cpp:199
#10 0x07ddcee3 in KDETranslator::translate (this=0x92683b0, context=0x64beb51 "QSQLiteResult", sourceText=0x64bec0e "Unable to fetch row", message=0x0) at ../../kdecore/kernel/kglobal_p.h:52
#11 0x01970464 in QTranslator::translate (this=0x92683b0, context=0x64beb51 "QSQLiteResult", sourceText=0x64bec0e "Unable to fetch row", disambiguation=0x0, n=-1) at kernel/qtranslator.cpp:1004
#12 0x0194f077 in QCoreApplication::translate (context=0x64beb51 "QSQLiteResult", sourceText=0x64bec0e "Unable to fetch row", disambiguation=0x0, encoding=QCoreApplication::CodecForTr, n=-1) at kernel/qcoreapplication.cpp:1895
#13 0x0194f50a in QCoreApplication::translate (context=0x64beb51 "QSQLiteResult", sourceText=0x64bec0e "Unable to fetch row", disambiguation=0x0, encoding=QCoreApplication::CodecForTr) at kernel/qcoreapplication.cpp:1810
#14 0x064bce28 in QSQLiteResultPrivate::fetchNext (this=0xd30f090, values=..., idx=0, initialFetch=232) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:277
#15 0x064bde22 in QSQLiteResult::exec (this=0xe51a290) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:418
#16 0x00fa9c8b in QSqlQuery::exec (this=0xaad0e428) at kernel/qsqlquery.cpp:949
#17 0x01274ffc in exec (query=..., this=<optimized out>) at /build/buildd/digikam-2.5.0/core/libs/database/databasecorebackend.cpp:1405
#18 Digikam::DatabaseCoreBackend::exec (this=0x92d8918, query=...) at /build/buildd/digikam-2.5.0/core/libs/database/databasecorebackend.cpp:1389
#19 0x01276a21 in Digikam::DatabaseCoreBackend::execQuery (this=0x92d8918, query=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /build/buildd/digikam-2.5.0/core/libs/database/databasecorebackend.cpp:1077
#20 0x01276aa5 in Digikam::DatabaseCoreBackend::execQuery (this=0x92d8918, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /build/buildd/digikam-2.5.0/core/libs/database/databasecorebackend.cpp:1022
#21 0x0127732e in Digikam::DatabaseCoreBackend::execSql (this=0x92d8918, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=..., values=0x0, lastInsertId=0xaad0e498) at /build/buildd/digikam-2.5.0/core/libs/database/databasecorebackend.cpp:921
#22 0x01283b11 in Digikam::ThumbnailDB::insertThumbnail (this=0x90e5c2f, info=..., lastInsertId=0xaad0e56c) at /build/buildd/digikam-2.5.0/core/libs/database/thumbnaildb.cpp:262
#23 0x012be685 in Digikam::ThumbnailCreator::storeInDatabase (this=0x90e5c2f, info=..., image=...) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:753
#24 0x012c194c in Digikam::ThumbnailCreator::store (this=0xd938db8, path=..., i=..., rect=..., isFace=true) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:389
#25 0x012c19fc in Digikam::ThumbnailCreator::storeDetailThumbnail (this=0xd938db8, path=..., detailRect=..., i=..., isFace=true) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:367
#26 0x012c7702 in Digikam::ThumbnailLoadThread::storeDetailThumbnail (this=0xd9388b8, filePath=..., detailRect=..., image=..., isFace=true) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/thumbnailloadthread.cpp:924
#27 0x082c6fa3 in Digikam::FaceIface::storeThumbnails (this=0xaad0e904, thread=0xd9388b8, filePath=..., databaseFaces=..., image=...) at /build/buildd/digikam-2.5.0/core/utilities/facedetection/faceiface.cpp:240
#28 0x082d1047 in Digikam::DatabaseWriter::process (this=0xd938ad0, package=...) at /build/buildd/digikam-2.5.0/core/utilities/facedetection/facepipeline.cpp:570
#29 0x082d1329 in Digikam::DatabaseWriter::qt_static_metacall (_o=0xd938ad0, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xce94d30) at /build/buildd/digikam-2.5.0/obj-i686-linux-gnu/core/digikam/facepipeline_p.moc:494
#30 0x01960c01 in QMetaCallEvent::placeMetaCall (this=0xe4de7c8, object=0xd938ad0) at kernel/qobject.cpp:525
#31 0x01969c7b in QObject::event (this=0xd938ad0, e=0xe4de7c8) at kernel/qobject.cpp:1195
#32 0x012e9da2 in Digikam::WorkerObject::event (this=0xd938ad0, e=0xe4de7c8) at /build/buildd/digikam-2.5.0/core/libs/threads/workerobject.cpp:160
#33 0x053a3ed4 in notify_helper (e=0xe4de7c8, receiver=0xd938ad0, this=0x907ada8) at kernel/qapplication.cpp:4559
#34 QApplicationPrivate::notify_helper (this=0x907ada8, receiver=0xd938ad0, e=0xe4de7c8) at kernel/qapplication.cpp:4531
#35 0x053a930d in QApplication::notify (this=0xe4de7c8, receiver=0xd938ad0, e=0xe4de7c8) at kernel/qapplication.cpp:4288
#36 0x02adab61 in KApplication::notify (this=0xbfc28e20, receiver=0xd938ad0, event=0xe4de7c8) at ../../kdeui/kernel/kapplication.cpp:311
#37 0x0194e97e in QCoreApplication::notifyInternal (this=0xbfc28e20, receiver=0xd938ad0, event=0xe4de7c8) at kernel/qcoreapplication.cpp:876
#38 0x01952ad8 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#39 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xc4a8ec0) at kernel/qcoreapplication.cpp:1500
#40 0x01952e0c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1393
#41 0x01981494 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#42 postEventSourceDispatch (s=0xda586e0) at kernel/qeventdispatcher_glib.cpp:279
#43 0x02f74cda in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#44 0x02f750e5 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#45 0x02f751c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#46 0x01981887 in QEventDispatcherGlib::processEvents (this=0xd6a1a60, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#47 0x0194d50d in QEventLoop::processEvents (this=0xaad0f0b8, flags=...) at kernel/qeventloop.cpp:149
#48 0x0194d7a9 in QEventLoop::exec (this=0xaad0f0b8, flags=...) at kernel/qeventloop.cpp:204
#49 0x012e90ce in Digikam::WorkerObjectRunnable::run (this=0xcf52840) at /build/buildd/digikam-2.5.0/core/libs/threads/threadmanager.cpp:196
#50 0x0182c39b in QThreadPoolThread::run (this=0xc48aba8) at concurrent/qthreadpool.cpp:107
#51 0x01839de0 in QThreadPrivate::start (arg=0xc48aba8) at thread/qthread_unix.cpp:298
#52 0x00edcd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#53 0x01c7eace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 4 (Thread 0xb27ffb40 (LWP 4468)):
#0  0x00b28416 in __kernel_vsyscall ()
#1  0x01c7ac07 in syscall () from /lib/i386-linux-gnu/libc.so.6
#2  0x01838638 in _q_futex (val2=0, addr2=0x0, timeout=0x0, val=2, op=0, addr=0x92d4950) at thread/qmutex_unix.cpp:99
#3  QMutexPrivate::wait (this=0x92d4950, timeout=-1) at thread/qmutex_unix.cpp:113
#4  0x01834038 in QMutex::lock (this=0x92ecacc) at thread/qmutex.cpp:164
#5  0x01281b39 in Digikam::ThumbnailDatabaseAccess::ThumbnailDatabaseAccess (this=0xb27fecff) at /build/buildd/digikam-2.5.0/core/libs/database/thumbnaildatabaseaccess.cpp:87
#6  0x012be4ef in Digikam::ThumbnailCreator::storeInDatabase (this=0xfffffe00, info=..., image=...) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:736
#7  0x012c4511 in Digikam::ThumbnailCreator::load (this=0x9586528, path=..., rect=..., pregenerate=true) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:264
#8  0x012c55c2 in Digikam::ThumbnailCreator::pregenerate (this=0x9586528, path=...) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:180
#9  0x012d3e9d in Digikam::ThumbnailLoadingTask::execute (this=0xda32208) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/thumbnailtask.cpp:79
#10 0x012a1938 in Digikam::LoadSaveThread::run (this=0x95a0330) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/loadsavethread.cpp:118
#11 0x012ebd7e in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x94a6978) at /build/buildd/digikam-2.5.0/core/libs/threads/dynamicthread.cpp:328
#12 0x0182c39b in QThreadPoolThread::run (this=0xc48a890) at concurrent/qthreadpool.cpp:107
#13 0x01839de0 in QThreadPrivate::start (arg=0xc48a890) at thread/qthread_unix.cpp:298
#14 0x00edcd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#15 0x01c7eace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 3 (Thread 0xa650db40 (LWP 4469)):
#0  0x02f75052 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0x02f751c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0x019818e7 in QEventDispatcherGlib::processEvents (this=0xda57258, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#3  0x0194d50d in QEventLoop::processEvents (this=0xa650d0b8, flags=...) at kernel/qeventloop.cpp:149
#4  0x0194d7a9 in QEventLoop::exec (this=0xa650d0b8, flags=...) at kernel/qeventloop.cpp:204
#5  0x012e90ce in Digikam::WorkerObjectRunnable::run (this=0xe7621a0) at /build/buildd/digikam-2.5.0/core/libs/threads/threadmanager.cpp:196
#6  0x0182c39b in QThreadPoolThread::run (this=0xdaae420) at concurrent/qthreadpool.cpp:107
#7  0x01839de0 in QThreadPrivate::start (arg=0xdaae420) at thread/qthread_unix.cpp:298
#8  0x00edcd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#9  0x01c7eace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 2 (Thread 0xa77fdb40 (LWP 4471)):
#0  0x00b28416 in __kernel_vsyscall ()
#1  0x01c70380 in poll () from /lib/i386-linux-gnu/libc.so.6
#2  0x02f82a3b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x02f7506e in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x02f751c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0x019818e7 in QEventDispatcherGlib::processEvents (this=0xdbcc840, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x0194d50d in QEventLoop::processEvents (this=0xa77fd0b8, flags=...) at kernel/qeventloop.cpp:149
#7  0x0194d7a9 in QEventLoop::exec (this=0xa77fd0b8, flags=...) at kernel/qeventloop.cpp:204
#8  0x012e90ce in Digikam::WorkerObjectRunnable::run (this=0xe74f068) at /build/buildd/digikam-2.5.0/core/libs/threads/threadmanager.cpp:196
#9  0x0182c39b in QThreadPoolThread::run (this=0xdae2c08) at concurrent/qthreadpool.cpp:107
#10 0x01839de0 in QThreadPrivate::start (arg=0xdae2c08) at thread/qthread_unix.cpp:298
#11 0x00edcd4c in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#12 0x01c7eace in clone () from /lib/i386-linux-gnu/libc.so.6

Thread 1 (Thread 0xb51f88c0 (LWP 4427)):
[KCrash Handler]
#7  0x019753ab in clear (d=0xda32d90) at kernel/qvariant.cpp:286
#8  0x053e1cf9 in clear (d=0xda32d90) at kernel/qguivariant.cpp:280
#9  0x0197213a in ~QVariant (this=0xda32d90, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1400
#10 QVariant::~QVariant (this=0xda32d90, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1397
#11 0x03f2ee56 in node_destruct (n=<optimized out>, this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:388
#12 erase (alast=..., afirst=..., this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:811
#13 Digikam::ImageModel::removeRowPairs (this=0x946d940, toRemove=...) at /build/buildd/digikam-2.5.0/core/libs/models/imagemodel.cpp:901
#14 0x03f30c0f in Digikam::ImageModel::finishIncrementalRefresh (this=0x946d940) at /build/buildd/digikam-2.5.0/core/libs/models/imagemodel.cpp:720
#15 0x081961f7 in Digikam::ImageAlbumModel::slotResult (this=0x946d940, job=0xd696418) at /build/buildd/digikam-2.5.0/core/libs/models/imagealbummodel.cpp:307
#16 0x019656b1 in QMetaObject::activate (sender=0xd696418, m=0x7f6f4ac, local_signal_index=3, argv=0xbfc27fe8) at kernel/qobject.cpp:3547
#17 0x07dbf425 in KJob::result (this=0xd696418, _t1=0xd696418) at ./kjob.moc:208
#18 0x07dbf478 in KJob::emitResult (this=0xd696418) at ../../kdecore/jobs/kjob.cpp:318
#19 0x02034328 in KIO::SimpleJob::slotFinished (this=0xd696418) at ../../kio/kio/job.cpp:494
#20 0x0203d42d in KIO::TransferJob::slotFinished (this=0xd696418) at ../../kio/kio/job.cpp:1081
#21 0x0203b9e8 in qt_static_metacall (_a=0xbfc28260, _id=7, _o=0xd696418, _c=<optimized out>) at ./jobclasses.moc:388
#22 KIO::TransferJob::qt_static_metacall (_o=0xd696418, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xbfc28260) at ./jobclasses.moc:375
#23 0x019656b1 in QMetaObject::activate (sender=0x9e14038, m=0x2216480, local_signal_index=4, argv=0x0) at kernel/qobject.cpp:3547
#24 0x020f2e85 in KIO::SlaveInterface::finished (this=0x9e14038) at ./slaveinterface.moc:185
#25 0x020f5fa1 in KIO::SlaveInterface::dispatch (this=0x9e14038, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:172
#26 0x020f24fa in KIO::SlaveInterface::dispatch (this=0x9e14038) at ../../kio/kio/slaveinterface.cpp:88
#27 0x020e3b98 in KIO::Slave::gotInput (this=0x9e14038) at ../../kio/kio/slave.cpp:344
#28 0x020e4200 in KIO::Slave::qt_static_metacall (_o=0x9e14038, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbfc28520) at ./slave.moc:57
#29 0x019656b1 in QMetaObject::activate (sender=0x9fca4a0, m=0x2213110, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3547
#30 0x01ffeeb5 in KIO::Connection::readyRead (this=0x9fca4a0) at ./connection.moc:106
#31 0x01fff72a in dequeue (this=<optimized out>) at ../../kio/kio/connection.cpp:82
#32 KIO::ConnectionPrivate::dequeue (this=0x9cadd88) at ../../kio/kio/connection.cpp:71
#33 0x01960c01 in QMetaCallEvent::placeMetaCall (this=0xc48dc00, object=0x9fca4a0) at kernel/qobject.cpp:525
#34 0x01969c7b in QObject::event (this=0x9fca4a0, e=0xc48dc00) at kernel/qobject.cpp:1195
#35 0x053a3ed4 in notify_helper (e=0xc48dc00, receiver=0x9fca4a0, this=0x907ada8) at kernel/qapplication.cpp:4559
#36 QApplicationPrivate::notify_helper (this=0x907ada8, receiver=0x9fca4a0, e=0xc48dc00) at kernel/qapplication.cpp:4531
#37 0x053a930d in QApplication::notify (this=0xc48dc00, receiver=0x9fca4a0, e=0xc48dc00) at kernel/qapplication.cpp:4288
#38 0x02adab61 in KApplication::notify (this=0xbfc28e20, receiver=0x9fca4a0, event=0xc48dc00) at ../../kdeui/kernel/kapplication.cpp:311
#39 0x0194e97e in QCoreApplication::notifyInternal (this=0xbfc28e20, receiver=0x9fca4a0, event=0xc48dc00) at kernel/qcoreapplication.cpp:876
#40 0x01952ad8 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#41 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x9034b28) at kernel/qcoreapplication.cpp:1500
#42 0x01952e0c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1393
#43 0x01981494 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#44 postEventSourceDispatch (s=0x907beb0) at kernel/qeventdispatcher_glib.cpp:279
#45 0x02f74cda in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#46 0x02f750e5 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#47 0x02f751c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#48 0x01981887 in QEventDispatcherGlib::processEvents (this=0x90358a0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#49 0x0545caaa in QGuiEventDispatcherGlib::processEvents (this=0x90358a0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#50 0x0194d50d in QEventLoop::processEvents (this=0xbfc28d04, flags=...) at kernel/qeventloop.cpp:149
#51 0x0194d7a9 in QEventLoop::exec (this=0xbfc28d04, flags=...) at kernel/qeventloop.cpp:204
#52 0x01952eba in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#53 0x053a1a74 in QApplication::exec () at kernel/qapplication.cpp:3820
#54 0x080b69e4 in main (argc=2993048, argv=0xb77daaf0) at /build/buildd/digikam-2.5.0/core/digikam/main/main.cpp:232

This bug may be a duplicate of or related to bug 278049.

Possible duplicates by query: bug 292634, bug 278049, bug 265641, bug 262596.

Reported using DrKonqi
Comment 1 caulier.gilles 2012-06-13 20:45:24 UTC

*** This bug has been marked as a duplicate of bug 278049 ***
Comment 2 Bartje 2013-01-02 15:33:48 UTC
Created attachment 76145 [details]
New crash information added by DrKonqi

digikam (2.8.0) on KDE Platform 4.9.4 using Qt 4.8.2

- What I was doing when the application crashed: Tagging faces while face search was going on.

-- Backtrace (Reduced):
#6  0x00007f39f007cf28 in clear (d=0x6dbb000) at kernel/qvariant.cpp:286
#7  0x00007f39f2d5dcf8 in node_destruct (n=0x5881be0, this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:388
#8  erase (alast=..., afirst=..., this=0x1b3d508) at /usr/include/qt4/QtCore/qlist.h:811
#9  Digikam::ImageModel::removeRowPairs (this=0x1dc24a0, toRemove=...) at /build/buildd/digikam-2.8.0/core/libs/models/imagemodel.cpp:1025
#10 0x00007f39f2d5fced in Digikam::ImageModel::finishIncrementalRefresh (this=0x1dc24a0) at /build/buildd/digikam-2.8.0/core/libs/models/imagemodel.cpp:844
Comment 3 Marc 2013-02-20 15:16:31 UTC
Created attachment 77463 [details]
New crash information added by DrKonqi

digikam (2.6.0) on KDE Platform 4.8.5 (4.8.5) "release 2" using Qt 4.8.1

- What I was doing when the application crashed:

Nothing, machine otherwise idle, other applications running firefox, thunderbird.

-- Backtrace (Reduced):
#6  0x00007f2161bdc1f8 in clear (d=0x653b9c0) at kernel/qvariant.cpp:286
#7  0x00007f2163bafe01 in node_destruct (n=0x69c1aa8, this=<optimized out>) at /usr/include/QtCore/qlist.h:388
#8  erase (alast=..., afirst=..., this=0x13728f8) at /usr/include/QtCore/qlist.h:811
#9  Digikam::ImageModel::removeRowPairs (this=this@entry=0x136dd90, toRemove=...) at /usr/src/debug/digikam-2.6.0/core/libs/models/imagemodel.cpp:901
#10 0x00007f2163bb185d in Digikam::ImageModel::finishIncrementalRefresh (this=0x136dd90) at /usr/src/debug/digikam-2.6.0/core/libs/models/imagemodel.cpp:720
Comment 4 caulier.gilles 2019-12-23 06:22:21 UTC
Problem is fixed with new 7.0.0-beta1 through this long story from this bug

https://bugs.kde.org/show_bug.cgi?id=399923

You can test digiKam 7.0.0-beta1 with bundle available here:

https://download.kde.org/unstable/digikam/

Don't hesitate to give us a fresh feedback about his entry.

Thanks in advance

Gilles Caulier